extern crate Xorfilter;
use Xorfilter::{murmur64, splitmix64, reduce, rotl64};

#[cfg(test)]
mod tests {
    // Note this useful idiom: importing names from outer (for mod tests) scope.
    use super::*;

    #[test]
    fn test_murmur64() {
        assert_eq!(murmur64(3), 815575690806614222);     
    }
    
    #[test]
    fn test_splitmix() {
        assert_eq!(splitmix64(4), 7958955049054603978);
    }
    
    #[test]
    fn test_rotl64() {
        assert_eq!(rotl64(4, 2), 16);
    }
    
}
